% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RM_Evaluation.R
\name{RM_Evaluation}
\alias{RM_Evaluation}
\title{Constructor of class that evaluates repeated measurements.}
\usage{
RM_Evaluation(measurements, axisLabel)
}
\arguments{
\item{measurements}{R-Language vector containing the repeated measurements.}

\item{axisLabel}{Character string describing the measurements. This string is used as
an label in the plots.}
}
\value{
A list with the following components is returned.

\item{measurements}{Argument measurements.}

\item{axisLabel}{Argument axisLabel.}

\item{theRange}{Range of the measurements.}

\item{theMean}{Mean of the measurements.}

\item{stdDev}{Standard deviation of the measurements.}

\item{theMedian}{Median of the measurements.}

\item{theIQR}{Interquartile range of the measurements.}

\item{p_value}{P-value from the Shapiro-Wilk test of normality.}

\item{call}{Function call.}
}
\description{
This constructor calculates some quantities that are needed to evaluate
repeated measurements.
}
\examples{

oEvaluation <- RM_Evaluation(ExampleData, "Example data (no units)")

}
